/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.security.sso.opensso.constants;

/**
 * @author Mika Koivisto
 */
public class OpenSSOConfigurationKeys {

	public static final String AUTH_ENABLED = "enabled";

	public static final String EMAIL_ADDRESS_ATTR = "emailAddressAttr";

	public static final String FIRST_NAME_ATTR = "firstNameAttr";

	public static final String IMPORT_FROM_LDAP = "importFromLDAP";

	public static final String LAST_NAME_ATTR = "lastNameAttr";

	public static final String LOGIN_URL = "loginURL";

	public static final String LOGOUT_ON_SESSION_EXPIRATION =
		"logoutOnSessionExpiration";

	public static final String LOGOUT_URL = "logoutURL";

	public static final String SCREEN_NAME_ATTR = "screenNameAttr";

	public static final String SERVICE_URL = "serviceURL";

	public static final String VERSION_OPENAM_12 = "openam-12";

	public static final String VERSION_OPENAM_13 = "openam-13";

}